function InstanceKey()
{
	this.ClassIndex = 0;
	this.InstanceIndex = 0;

	this.toString = function()
	{
		return this.ClassIndex + "$" + this.InstanceIndex;
	};
}

InstanceKey.parse = function(value)
{
	var split = value.split("$");
	var classIndex = parseInt(split[0]);
	var instanceIndex = parseInt(split[1]);
	
	var ik = new InstanceKey();
	ik.ClassIndex = classIndex;
	ik.InstanceIndex = instanceIndex;
	return ik;
};